issue358: password manager is not able to show the password manager prompt

Priority: bug Status: resolved
msg867 (view) Author: chaoflow Date: 2011-06-24.14:19:05
debug log:

Login Manager: observer notified for form submission.
Login Manager: Checking if logins to can be saved.
PwMgr mozStorage: Getting login saving is enabled for
Login Manager: Searching for logins matching host:, formSubmitURL:, httpRealm: null
PwMgr mozStorage: _searchLogins: returning 0 logins
PwMgr mozStorage: _findLogins: returning 0 logins
Pwmgr Prompter: ===== initialized =====
Pwmgr Prompter: Notification bars not available on window
Login Manager: Caught error in onFormSubmit: [Exception... "Component returned failure code: 0x80004005
(NS_ERROR_FAILURE) [nsIStringBundle.formatStringFromName]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)" 
location: "JS frame ::
:: <TOP_LEVEL> :: line 1338"  data: no]
Login Manager: onStateChange accepted: req =, flags = 0x30004
Login Manager: domEventListener: got event DOMContentLoaded
Login Manager: Counting logins matching host:, formSubmitURL: , httpRealm: null
PwMgr mozStorage: _countLogins: counted logins: 0
msg963 (view) Author: Trundle Date: 2011-12-01.23:05:40
It's a bug in XULRunner, see
msg970 (view) Author: retroj Date: 2011-12-21.17:28:08
Apparently fixed in XULRunner 9.
msg971 (view) Author: retroj Date: 2011-12-21.20:49:38
Added note to UpstreamBugs page on wiki.  Marking resolved.
Date User Action Args
2011-12-21 20:49:38retrojsetstatus: chatting -> resolved
messages: + msg971
2011-12-21 17:28:08retrojsetmessages: + msg970
2011-12-01 23:05:40Trundlesetstatus: unread -> chatting
messages: + msg963
2011-06-24 14:19:05chaoflowcreate